org.apache.fop.render.bitmap

## Class TIFFRendererMaker

- java.lang.Object
- - org.apache.fop.render.AbstractRendererMaker
  - - org.apache.fop.render.bitmap.TIFFRendererMaker

    public class TIFFRendererMaker
    extends AbstractRendererMaker

RendererMaker for the TIFF Renderer.

### Constructor Summary

Constructors
Constructor and Description
`TIFFRendererMaker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configureRenderer(FOUserAgent userAgent, Renderer renderer)` Configures a given renderer using the appropriate configurator.
`String[]` `getSupportedMimeTypes()`
`Renderer` `makeRenderer(FOUserAgent userAgent)` Instantiates a new renderer.
`boolean` `needsOutputStream()`

### Methods inherited from class org.apache.fop.render.AbstractRendererMaker

`isMimeTypeSupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TIFFRendererMaker

    public TIFFRendererMaker()

### Method Detail

#### makeRenderer

    public Renderer makeRenderer(FOUserAgent userAgent)

Description copied from class: `AbstractRendererMaker`
Instantiates a new renderer.

Specified by:
  `makeRenderer` in class `AbstractRendererMaker`
Parameters:
  `userAgent` - the user agent
Returns:
  the newly instantiated renderer

#### needsOutputStream

    public boolean needsOutputStream()

Specified by:
  `needsOutputStream` in class `AbstractRendererMaker`
Returns:
  Indicates whether this renderer requires an OutputStream to work with.

#### getSupportedMimeTypes

    public String[] getSupportedMimeTypes()

Specified by:
  `getSupportedMimeTypes` in class `AbstractRendererMaker`
Returns:
  an array of MIME types the renderer supports.

#### configureRenderer

    public void configureRenderer(FOUserAgent userAgent,
                                  Renderer renderer)
                           throws FOPException

Description copied from class: `AbstractRendererMaker`
Configures a given renderer using the appropriate configurator.

Specified by:
  `configureRenderer` in class `AbstractRendererMaker`
Parameters:
  `userAgent` - user agent
  `renderer` - the renderer that is to be configured
Throws:
  `FOPException`